sub j_month_name {
    my $month = shift;
    my @month_name = (T('January'), T('February'), T('March'), T('April'),
		      T('May'), T('June'), T('July'), T('August'),
		      T('September'), T('October'), T('November'),
		      T('December'));
    return $month_name[$month-1];
}

sub PrintAllPages {
  my ($links, $comments, @pages) = @_;
  my $lang = GetParam('lang', 0);
  @pages = @pages[0 .. $JournalLimit - 1] if $#pages >= $JournalLimit and not UserIsAdmin();
  for my $id (@pages) {
    OpenPage($id);
    my @languages = split(/,/, $Page{languages});
    next if $lang and @languages and not grep(/$lang/, @languages);
    my $title = NormalToFree($id);
    print $q->start_div({-class=>'page'});

    my $cal = '';
    if ($id =~/^(\d\d\d\d)-(\d\d?)-(\d\d?)-(\d\d?)h(\d\d?)m(\d\d?)s\_?(.*)/) {
         $cal = $q->div({-class=>'date'},
            $q->span({-class=>'day'}, 0+$3),
            $q->span({-class=>'month'}, j_month_name($2)),
            $q->span({-class=>'year'}, $1),
            );
        $title = $4.'<sup>'.$5.'</sup>&nbsp;'.NormalToFree($7);
    }
    print $cal;
    print $q->h1($links ? GetPageLink($id, $title) : $q->a({-name=>$id},$title));

    PrintPageHtml();
    if ($comments and $id !~ /^$CommentsPrefix/o) {
      print $q->p({-class=>'comment'},
		  GetPageLink($CommentsPrefix . $id, T('Comments on this page')));
    }
    print $q->end_div();;
  }
}
